# Class ReadBaseStratification.CigarOperatorsInReadStratifier

java.lang.Object
picard.sam.SamErrorMetric.ReadBaseStratification.CigarOperatorsInReadStratifier

All Implemented Interfaces:
  `ReadBaseStratification.RecordAndOffsetStratifier<Integer>`

Enclosing class:
  `ReadBaseStratification`

public static class ReadBaseStratification.CigarOperatorsInReadStratifier extends Object
Stratifies according to the number of matching cigar operators (from CIGAR string) that the read has.

## Constructor Summary

Constructors
Constructor
Description
`CigarOperatorsInReadStratifier(htsjdk.samtools.CigarOperator op)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getSuffix()`
`Integer`
`stratify(htsjdk.samtools.SAMRecord samRecord)`
`Integer`
`stratify(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CigarOperatorsInReadStratifier

public CigarOperatorsInReadStratifier(htsjdk.samtools.CigarOperator op)

## Method Details

### stratify

public Integer stratify(htsjdk.samtools.SAMRecord samRecord)

### getSuffix

public String getSuffix()

### stratify

public Integer stratify(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)

Specified by:
  `stratify` in interface `ReadBaseStratification.RecordAndOffsetStratifier<T extends Comparable<T>>`